// This software was written by Gregory L Montgomery
// and is completely covered by the 
// GPL General Public License

// Date of release 1/7/1998 

/* Greg Montgomery Final cs753 Project program  */
/*  User Interface   */
/*  cs753   */

/* File:  defs.h       */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>  
#include <stdio.h>
#include <math.h>

#define FALSE	0
#define TRUE	1
#define OFF     0
#define ON      1

#define XLOC	0    
#define YLOC	0
#define WWIDTH	500   /* width of main window */
#define WHEIGHT	150   /* height of main window */
#define BUTTON_WDTH  60
#define BUTTON_HIGT  25
#define SP_WDTH      9
#define SP_SHORT_VT 7
#define SP_H_WDTH 10
#define WDEPTH        8
#define MAX_COLORS    10
#define BDSIZE 25     /* size of board */
#define NUM_SQUARES 3 /* # of squares-1: use background color for last square */
#define NUM_BUTTONS 24 /* This is the Total number of active buttons */

typedef int BOOLEAN;

typedef struct action_rec{
	char              * Command;
	struct action_rec * next;
} ACTION_REC, *ACTION;

typedef struct box {
      int Top;
      int Left;
      int Bottom;
      int Right;
      int OnOff;
      unsigned char Bit;
      char * Str;
      char * Font_Name;
      ACTION Inst_List;
} BOX_REC;

typedef enum {
              RED,
              BLUE,
              PURPLE,
              DARK_BLUE,
              WHEAT1,
              LT_SKY_BLUE,
              YELLOW,WHITE,
              LT_BLUE,
              BLACK,
              PINK
             }COLORS;

extern BOX_REC Button[NUM_BUTTONS];

extern Display *      Gdisplay;  
extern unsigned long  Gforeground;
extern unsigned long  Gbackground;
extern unsigned long  Gsquare[NUM_BUTTONS];
extern unsigned long  Glinecolor;

extern Window         Gwindow;		/* main window */
extern GC             Ggc;		/* normal graphics drawing */
extern int            Gscreen;
extern int            Gwidth;
extern unsigned int   Gdepth;
extern int            Gdim;
extern int            Vxl, Vxh;		/* width of viewport */
extern int            Vyl, Vyh;		/* height of viewport */
extern double         Wxl, Wxh;		/* width of world window */
extern double         Wyl, Wyh;		/* height of world window */
extern double         Wzl, Wzh;
extern int            color[MAX_COLORS];  /* colors are stored in this array */
