// This software was written by Gregory L Montgomery
// and is completely covered by the 
// GPL General Public License

// Date of release 1/7/1998 

// Programmer Gregory Montgomery

// This is the .C file for the thermist  CLASS

#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <math.h>

#include "thermister.h"
                      
/////////////////////////////////////////////////////////////////
// The thermist class                                            //
//                 This is an abstract class                   //
/////////////////////////////////////////////////////////////////

// ----------------------------------------------------------- */
// constructors                                                */

// Init thermist 
thermist::thermist() {}

//-----------------------------------------------------------/
// destructor Virtual : Every class that inherits from this will have to 
// declare a destructor like it or not. 

thermist::~thermist(){}


void   thermist::Calibrate(double Ref){Vref = Ref;}

double thermist::VoltsToTemp(double Voltage){
    int i;
    double deltaR,M,R2;

    i = 0;
    R2 = ((Rref * Vref)/Voltage) - Rref;
    while((Range[i] < R2)&&(i < 33))
         i++;
    return Range[i - 1];
}

//--------------------------------------------------------------
// Convertion from Temp in Cel to Fah

double thermist::CelToFah(const double Temp){
	return (9.0/5.0)*Temp + 32;
}






